Generate Client secret.

Request

Create a new secret for an SLB Authenticator Client.

Security
appkey and bearer
Path
clientIDstringrequired
Bodyapplication/json

details to create a client secret.

secretNamestring

Represents the name of the secret. Helps user to identify secret of a client.

curl -i -X POST \
  'https://api.delfi.slb.com/auth/client/v1/clients/{clientID}/secrets' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -d '{
    "secretName": "string"
  }'

Responses

Created

Bodyapplication/json
secretNamestring
secretIdstringrequired

unique identifier for a client secret.

secretValuestringrequired

value of secret that can be used for CCG.

Response
{ "secretName": "string", "secretId": "string", "secretValue": "string" }